<!--<svg id="visual" width='500' height='300'></svg>-->
<div class="main-container">
  <mat-tab-group mat-stretch-tabs animationDuration="0ms">
    <mat-tab label="Classifier">
      <div *ngIf="data" class="container button">
        <button (click)="showCandidates()">
          Show {{ nrOfCandidates }} similar candidates
        </button>
      </div>
      <div *ngIf="data" class="slider">
        <mat-slider [min]="0" [max]="maxLength" step="1" [value]="sliderValue" (input)="setSliderValue($event)" tickInterval="1"></mat-slider>
      </div>
      <div *ngIf="data" class="info">
        <div class="histogram">
          <div class="container">
            <fieldset>
              <legend>Similarity distribution</legend>
              <plotly-plot (hover)="onHover($event)" [data]="hist.data" [layout]="hist.layout"></plotly-plot>
            </fieldset>
            <div class="container">
              <fieldset>
                <legend>Info</legend>
                <div>Similar patterns found: {{found}}</div>
                <div>Computing time: {{computingTime}} seconds</div>
              </fieldset>
            </div>
          </div>
        </div>
        <div *ngIf="data" class="container">
          <div class="window">
            <fieldset>
              <legend>Uncertainty</legend>
              <div class="plots">
                <plotly-plot *ngFor="let data of this.data; index as i;" [class.hide]="i != sliderValue" [data]="data" [layout]="layout"></plotly-plot>
              </div>
            </fieldset>
          </div>
        </div>
      </div>
    </mat-tab>
    <mat-tab label="History">
      <ng-template matTabContent>
        <app-state-management></app-state-management>
      </ng-template>
    </mat-tab>
  </mat-tab-group>
</div>



<script src='https://d3js.org/d3.v4.min.js'></script>
